Subject: Re: 440GX interrupt

From: Matt Porter <[email-masked]>
Date: Fri, 18 Feb 2005 08:56:24 -0700

On Thu, Feb 17, 2005 at 03:36:05PM -0800, Eugene Surovegin wrote:
> On Thu, Feb 17, 2005 at 02:54:14PM -0800, Eugene Surovegin wrote:
> > Probably it's a race which cannot be avoided anyway because external 
> > IRQs are completely async, and your version of ppc4xx_pic.c just has a 
> > bug. I'll think about it a little more.
> 
> Uhh, yes, I think it's a bug in 4xx version of disable_irq.
> 
> We have to ACK parent UIC after disabling IRQ to prevent false 
> triggering in case this IRQ was already pending during disable_irq 
> call.
> 
> Here is a patch against current 2.6, so you can get an idea what I'm 
> talking about :):

Gah, yes. Please add the sign off line and it can go in the mainline.

-Matt